import org.trinitydesktop.qt.*;
import org.trinitydesktop.koala.*;

/**
 *  Main class.
 *
 *  Taken from KDE 2.0 Development book
 *
 *  Helping the User Use Your Application
 *
 *  ToolTips, What's This?, and More
 *
 * @see TDEApplication
 * @see TDECmdLineArgs
 *
 * @author java translation Kenneth J. Pouncey, kjpou@hotmail.com
 * @version 0.1
 */

public class Main {

	static String description = "KDE 2 Development example";


   static String[][] options = {   };


static String VERSION = "0.1";

   public static void main(String[] cmdLineArgs) {

      TDEAboutData aboutData = new TDEAboutData( "KHelpers", "KHelpers",
         VERSION, description, TDEAboutData.License_GPL,
         "KDE 2 Development");
      TDECmdLineArgs.init( cmdLineArgs, aboutData );
      TDECmdLineArgs.addCmdLineOptions( options ); // Add our own options.

      TDEApplication app = new TDEApplication();
      KHelpers khelpers = new KHelpers();

      khelpers.show();

      app.exec();
      return;
   }

   static {
      qtjava.initialize();
      tdejava.initialize();
   }

}
